# Generated by Django 4.2.17 on 2025-01-08 13:50

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('resources', '0002_alter_resource_options_alter_resourceimport_options_and_more'),
        ('windows', '0001_initial'),
        ('systems', '0001_initial'),
        ('libraries', '0002_alter_library_options_alter_libraryimport_options_and_more'),
        ('keywords', '0002_initial'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='keywordcall',
            options={'ordering': ['index'], 'verbose_name': 'Step', 'verbose_name_plural': 'Steps'},
        ),
        migrations.AlterModelOptions(
            name='keywordcallparameter',
            options={'verbose_name': 'Call Parameters', 'verbose_name_plural': 'Call Parameters'},
        ),
        migrations.AlterModelOptions(
            name='keywordcallparametersource',
            options={'verbose_name': 'Parameter reference', 'verbose_name_plural': 'Parameter references'},
        ),
        migrations.AlterModelOptions(
            name='keywordcallreturnvalue',
            options={'verbose_name': 'Return Value'},
        ),
        migrations.AlterModelOptions(
            name='keywordparameter',
            options={'ordering': ['position'], 'verbose_name': 'Parameter', 'verbose_name_plural': 'Parameters'},
        ),
        migrations.AlterModelOptions(
            name='keywordreturnvalue',
            options={'verbose_name': 'Return Value', 'verbose_name_plural': 'Return Value'},
        ),
        migrations.RemoveConstraint(
            model_name='keywordparameter',
            name='unique_keyword_arg',
        ),
        migrations.RemoveConstraint(
            model_name='keywordparameter',
            name='unique_keyword_kwarg',
        ),
        migrations.AlterField(
            model_name='keyword',
            name='args_doc',
            field=models.TextField(blank=True, verbose_name='Parameters'),
        ),
        migrations.AlterField(
            model_name='keyword',
            name='documentation',
            field=models.TextField(blank=True, verbose_name='Documentation'),
        ),
        migrations.AlterField(
            model_name='keyword',
            name='everywhere',
            field=models.BooleanField(default=False, verbose_name='In all Windows'),
        ),
        migrations.AlterField(
            model_name='keyword',
            name='library',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='keywords', to='libraries.library', verbose_name='Library'),
        ),
        migrations.AlterField(
            model_name='keyword',
            name='resource',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='keywords', to='resources.resource', verbose_name='Resource'),
        ),
        migrations.AlterField(
            model_name='keyword',
            name='setup_teardown',
            field=models.BooleanField(default=False, verbose_name='Setup/Teardown'),
        ),
        migrations.AlterField(
            model_name='keyword',
            name='short_doc',
            field=models.CharField(blank=True, max_length=255, verbose_name='Description'),
        ),
        migrations.AlterField(
            model_name='keyword',
            name='systems',
            field=models.ManyToManyField(related_name='keywords', to='systems.system', verbose_name='Systems'),
        ),
        migrations.AlterField(
            model_name='keyword',
            name='type',
            field=models.CharField(choices=[('LIBRARY', 'Keyword from Library'), ('RESOURCE', 'Keyword from Resource'), ('ACTION', 'Action'), ('SEQUENCE', 'Sequence')], max_length=255),
        ),
        migrations.AlterField(
            model_name='keyword',
            name='windows',
            field=models.ManyToManyField(related_name='keywords', to='windows.window', verbose_name='Window'),
        ),
        migrations.AlterField(
            model_name='keywordcall',
            name='type',
            field=models.CharField(choices=[('KEYWORD_CALL', 'Keyword Call'), ('KEYWORD_EXECUTION', 'Keyword Execution'), ('TEST_STEP', 'Test Step'), ('TEST_SETUP', 'Test Setup'), ('TEST_TEARDOWN', 'Test Teardown'), ('SUITE_SETUP', 'Suite Setup'), ('SUITE_TEARDOWN', 'Suite Teardown')], max_length=255),
        ),
        migrations.AlterField(
            model_name='keywordcall',
            name='window',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='windows.window', verbose_name='Window'),
        ),
        migrations.AlterField(
            model_name='keywordcallparameter',
            name='value',
            field=models.CharField(max_length=255, verbose_name='Value'),
        ),
        migrations.AlterField(
            model_name='keywordcallparametersource',
            name='type',
            field=models.CharField(choices=[('KEYWORD_PARAMETER', 'Keyword Parameters'), ('KW_CALL_RETURN_VALUE', 'Call Return Value'), ('VARIABLE_VALUE', 'Reference Value')], max_length=255),
        ),
        migrations.AlterField(
            model_name='keywordparameter',
            name='default_value',
            field=models.CharField(blank=True, default=None, max_length=255, null=True, verbose_name='Default Value'),
        ),
        migrations.AlterField(
            model_name='keywordparameter',
            name='position',
            field=models.PositiveIntegerField(default=0, null=True),
        ),
        migrations.AlterField(
            model_name='keywordreturnvalue',
            name='kw_call_return_value',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='keywords.keywordcallreturnvalue', verbose_name='Return Value'),
        ),
        migrations.AddConstraint(
            model_name='keywordparameter',
            constraint=models.UniqueConstraint(fields=('keyword', 'name'), name='unique_keyword_parameter'),
        ),
    ]
